Support Questions
Find answers, ask questions, and share your expertise

Error running Agent upgrade wizard

Solved Go to solution
Highlighted

Error running Agent upgrade wizard

New Contributor

Hi - 

 

Im trying to run the Cloudera agent upgrade wizard (from v4 > v5) and am getting this error:

 

http://downloads.linux.hp.com/SDR/downloads/spp/RedHatEnterpriseServer/6Server/x86_64/current/repoda...: [Errno 14] PYCURL ERROR 6 - "Couldn't resolve host 'PLEASE.USE.NEW.HOSTNAME___downloads.linux.HPE.com___'"
Trying other mirror.
Error: Cannot retrieve repository metadata (repomd.xml) for repository: HP-spp. Please verify its path and try again
END (1)

 

Full log below. I'm getting this whether I use the "matched release for this Cloudera Manager Server" option or a custom repo (http://archive.cloudera.com/cm5/redhat/6/x86_64/cm/5/). Any advice/ideas on how to proceed?

 

 

/tmp/scm_prepare_node.8YD1bPDO
using SSH_CLIENT to get the SCM hostname: 10.51.59.85 33784 22
opening logging file descriptor
Starting installation script...
Acquiring installation lock...
BEGIN flock 4
END (0)
Detecting root privileges...
effective UID is 1251101354
BEGIN which pbrun
which: no pbrun in (/usr/lib64/qt-3.3/bin:/usr/local/bin:/bin:/usr/bin)
END (1)
BEGIN sudo -S id
uid=0(root) gid=0(root) groups=0(root) context=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023
END (0)
Using 'sudo ' to acquire root privileges
Detecting distribution...
BEGIN grep Tikanga /etc/redhat-release
END (1)
BEGIN grep 'CentOS release 5' /etc/redhat-release
END (1)
BEGIN grep 'Scientific Linux release 5' /etc/redhat-release
END (1)
BEGIN grep Santiago /etc/redhat-release
Red Hat Enterprise Linux Server release 6.8 (Santiago)
END (0)
/etc/redhat-release ==> RHEL 6
Detecting Cloudera Manager Server...
BEGIN host -t PTR 10.51.59.85
85.59.51.10.in-addr.arpa domain name pointer fldcvssla6620.wdw.disney.com.
END (0)
using fldcvssla6620.wdw.disney.com as scm server hostname
BEGIN which python
/usr/bin/python
END (0)
BEGIN python -c 'import socket; import sys; s = socket.socket(socket.AF_INET); s.settimeout(5.0); s.connect((sys.argv[1], int(sys.argv[2]))); s.close();' fldcvssla6620.wdw.disney.com 7182
END (0)
BEGIN which wget
/usr/bin/wget
END (0)
BEGIN wget -qO- -T 1 -t 1 http://169.254.169.254/latest/meta-data/public-hostname && /bin/echo
END (4)
Installing package repositories...
validating format of repository file /tmp/scm_prepare_node.8YD1bPDO/repos/rhel6/cloudera-manager.repo
installing repository file /tmp/scm_prepare_node.8YD1bPDO/repos/rhel6/cloudera-manager.repo
repository file /tmp/scm_prepare_node.8YD1bPDO/repos/rhel6/cloudera-manager.repo installed
Refreshing package metadata...
BEGIN sudo yum clean all
Loaded plugins: product-id, rhnplugin, search-disabled-repos, security,
: subscription-manager
This system is not registered to Red Hat Subscription Management. You can use subscription-manager to register.
Cleaning repos: HP-spp cloudera-manager dcs-base dcs-chef dcs-dag dcs-epel
: dcs-optional dcs-updates
Cleaning up Everything
END (0)
BEGIN sudo rm -Rf /var/cache/yum/x86_64
END (0)
BEGIN sudo yum makecache
Loaded plugins: product-id, rhnplugin, search-disabled-repos, security,
: subscription-manager
This system is not registered to Red Hat Subscription Management. You can use subscription-manager to register.
This system is not registered with RHN Classic or RHN Satellite.
You can use rhn_register to register.
RHN Satellite or RHN Classic support will be disabled.
http://downloads.linux.hp.com/SDR/downloads/spp/RedHatEnterpriseServer/6Server/x86_64/current/repodata/repomd.xml: [Errno 14] PYCURL ERROR 6 - "Couldn't resolve host 'PLEASE.USE.NEW.HOSTNAME___downloads.linux.HPE.com___'"
Trying other mirror.
Error: Cannot retrieve repository metadata (repomd.xml) for repository: HP-spp. Please verify its path and try again
END (1)
Installing cloudera-manager-agent package...
BEGIN sudo yum list installed cloudera-manager-agent
Loaded plugins: product-id, rhnplugin, search-disabled-repos, security,
: subscription-manager
This system is not registered to Red Hat Subscription Management. You can use subscription-manager to register.
This system is not registered with RHN Classic or RHN Satellite.
You can use rhn_register to register.
RHN Satellite or RHN Classic support will be disabled.
Installed Packages
cloudera-manager-agent.x86_64 5.4.8-1.cm548.p0.7.el6 @cloudera-manager
END (0)
BEGIN echo jdk oracle-j2sdk1.7 cloudera-manager-agent cloudera-manager-daemons | grep cloudera-manager-agent
jdk oracle-j2sdk1.7 cloudera-manager-agent cloudera-manager-daemons
END (0)
BEGIN sudo yum info cloudera-manager-agent
Loaded plugins: product-id, rhnplugin, search-disabled-repos, security,
: subscription-manager
This system is not registered to Red Hat Subscription Management. You can use subscription-manager to register.
This system is not registered with RHN Classic or RHN Satellite.
You can use rhn_register to register.
RHN Satellite or RHN Classic support will be disabled.
http://downloads.linux.hp.com/SDR/downloads/spp/RedHatEnterpriseServer/6Server/x86_64/current/repodata/repomd.xml: [Errno 14] PYCURL ERROR 6 - "Couldn't resolve host 'PLEASE.USE.NEW.HOSTNAME___downloads.linux.HPE.com___'"
Trying other mirror.
Error: Cannot retrieve repository metadata (repomd.xml) for repository: HP-spp. Please verify its path and try again
END (1)
cloudera-manager-agent must have Version=5.4.8 and Build=7, exiting
closing logging file descriptor 
1 ACCEPTED SOLUTION

Accepted Solutions
Highlighted

Re: Error running Agent upgrade wizard

Super Guru

Hello @mattreading

 

In order for the upgrade script to complete, yum must be funtional on the hosts you are adding.  It appears that there is something wrong with one of the repositories and that causes a failure when building the yum cache.

 

Since it appears broken, you might try removing the "HP-spp" repository from /etc/yum.repos.d/ and try the upgrade wizard again.

 

Make sure that you can run "yum makecache" on that host.  If you can, the wizard should be able to work.

 

Regards,

 

Ben

View solution in original post

2 REPLIES 2
Highlighted

Re: Error running Agent upgrade wizard

Super Guru

Hello @mattreading

 

In order for the upgrade script to complete, yum must be funtional on the hosts you are adding.  It appears that there is something wrong with one of the repositories and that causes a failure when building the yum cache.

 

Since it appears broken, you might try removing the "HP-spp" repository from /etc/yum.repos.d/ and try the upgrade wizard again.

 

Make sure that you can run "yum makecache" on that host.  If you can, the wizard should be able to work.

 

Regards,

 

Ben

View solution in original post

Highlighted

Re: Error running Agent upgrade wizard

New Contributor

Thanks @bgooley - will take a look at that.